#
# spec file for package bind9 (Version 9.1.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yacc

Name:         bind9
 
Summary:      Name server BIND9 (new version)
Version:      9.1.3
Release:      197
Copyright:    1996-2001 Internet Software Consortium.
Group:        System Environment/Daemons
Provides:     dns_daemon
Requires:     bind9-utils
Conflicts:    bind bind8
Autoreqprov:  on
Source:       bind-9.1.3.tar.bz2
Source1:      sample-config.tar.gz
Source2:      named.conf
Source3:      rc.named
Source4:      rc.config.named
Patch:        bind-9.1.3.dif
Patch1:       manpages.diff
Patch2:       bind-9.1.3-security.patch

%description
BIND version 9 is a major rewrite of nearly all aspects of the underlying
BIND architecture. Some of the important features of BIND 9 are:
DNS Security (DNSSEC, TSIG), IP version 6, DNS Protocol Enhancements
(IXFR, DDNS, Notify, EDNS0), Views (One server process can provide multiple
"views" of the DNS namespace, e.g. an "inside" view to certain clients, and
an "outside" view to others), Multiprocessor Support, Improved Portability
Architecture

Authors:
--------
    ISC Software <bind@isc.org>

SuSE series: n

%package utils
Summary:      Utilities to query and test DNS (new version)
Group:        System Environment/Daemons
Provides:     dns_utils
Conflicts:    bindutil

%description utils
This package includes the utilities host, dig and nslookup used to test and
query DNS. The new bind named daemon is found in the package bind9.

Authors:
--------
    ISC Software <bind@isc.org>

SuSE series: n

%package devel
Summary:      Development libraries/header files for bind9
Group:        Development/Libraries
Conflicts:    bind8-devel

%description devel
BIND version 9 is a major rewrite of nearly all aspects of the underlying
BIND architecture. Some of the important features of BIND 9 are:
DNS Security (DNSSEC, TSIG), IP version 6, DNS Protocol Enhancements
(IXFR, DDNS, Notify, EDNS0), Views (One server process can provide multiple
"views" of the DNS namespace, e.g. an "inside" view to certain clients, and
an "outside" view to others), Multiprocessor Support, Improved Portability
Architecture

This package contains the header files, libraries and documentation
for building programs using the BIND9-libraries.

Authors:
--------
    ISC Software <bind@isc.org>

SuSE series: n

%prep
%setup -n bind-9.1.3
%setup -T -D -a1 -n bind-9.1.3
%patch
%patch1
%patch2 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc \
        --libdir=/usr/lib --includedir=/usr/include/bind \
	--mandir=%{_mandir} --infodir=%{_infodir} --with-libtool
make
# ---------------------------------------------------------------------------

%install
make install
install -m 644 %{SOURCE2} /etc/named.conf
install -m 755 %{SOURCE3} /etc/init.d/named
ln -sf ../../etc/init.d/named /usr/sbin/rcnamed
mkdir -p /var/adm/fillup-templates
install -m 644 %{SOURCE4} /var/adm/fillup-templates/rc.config.named
mkdir -p /var/named/slave
install -m 644 sample-config/root.hint /var/named
install -m 644 sample-config/{127.0.0,localhost}.zone /var/named
install -m 644 doc/man/bin/dig.1 %{_mandir}/man1
install -m 644 doc/man/bin/host.1 %{_mandir}/man1
install -m 644 doc/man/bin/named-checkconf.1 %{_mandir}/man1
install -m 644 doc/man/bin/named-checkzone.1 %{_mandir}/man1
install -m 644 doc/man/lwres/*.3 %{_mandir}/man3
install -m 644 doc/man/bin/rndc.conf.5 %{_mandir}/man5
install -m 644 doc/man/bin/rndc.8 %{_mandir}/man8
install -m 644 doc/man/bin/lwresd.8 %{_mandir}/man8
install -m 644 doc/man/bin/named.8 %{_mandir}/man8
install -m 644 doc/man/bin/nsupdate.8 %{_mandir}/man8
install -m 644 doc/man/dnssec/dnssec-keygen.8 %{_mandir}/man8
install -m 644 doc/man/dnssec/dnssec-makekeyset.8 %{_mandir}/man8
install -m 644 doc/man/dnssec/dnssec-signkey.8 %{_mandir}/man8
install -m 644 doc/man/dnssec/dnssec-signzone.8 %{_mandir}/man8
chmod a+x /usr/lib/libdns.so.4.0.0
chmod a+x /usr/lib/libisc.so.3.0.0
chmod a+x /usr/lib/liblwres.so.1.1.0
chmod a+x /usr/lib/libomapi.so.3.0.0
ldconfig
# ---------------------------------------------------------------------------

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.named
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.named and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/named

%postun
sbin/insserv etc/init.d/
#---------------------------------------------------------------------------

%files
%dir /var/named
%dir /var/named/slave
%config(noreplace) /etc/named.conf
%config /var/named/root.hint
%config /var/named/127.0.0.zone
%config /var/named/localhost.zone
%config /etc/init.d/named
/var/adm/fillup-templates/rc.config.named
/usr/bin/nsupdate
/usr/sbin/rcnamed
/usr/sbin/named
/usr/sbin/named-checkconf
/usr/sbin/named-checkzone
/usr/sbin/lwresd
/usr/sbin/rndc
/usr/sbin/dnssec-keygen
/usr/sbin/dnssec-makekeyset
/usr/sbin/dnssec-signkey
/usr/sbin/dnssec-signzone
/usr/lib/liblwres.so
/usr/lib/liblwres.so.1
/usr/lib/liblwres.so.1.1.0
/usr/lib/libomapi.so
/usr/lib/libomapi.so.3
/usr/lib/libomapi.so.3.0.0
%doc %{_mandir}/man1/named-checkconf.1.gz
%doc %{_mandir}/man1/named-checkzone.1.gz
%doc %{_mandir}/man5/rndc.conf.5.gz
%doc %{_mandir}/man8/rndc.8.gz
%doc %{_mandir}/man8/lwresd.8.gz
%doc %{_mandir}/man8/named.8.gz
%doc %{_mandir}/man8/nsupdate.8.gz
%doc %{_mandir}/man8/dnssec-keygen.8.gz
%doc %{_mandir}/man8/dnssec-makekeyset.8.gz
%doc %{_mandir}/man8/dnssec-signkey.8.gz
%doc %{_mandir}/man8/dnssec-signzone.8.gz
%doc CHANGES COPYRIGHT README FAQ version
%doc doc/arm doc/draft doc/misc doc/rfc
%doc bin/tests/named.conf
%doc bin/tests/ndc.conf
%doc bin/tests/resolv.conf.sample
%doc sample-config

%files utils
/usr/bin/dig
/usr/bin/host
/usr/bin/nslookup
/usr/lib/libdns.so
/usr/lib/libdns.so.4
/usr/lib/libdns.so.4.0.0
/usr/lib/libisc.so
/usr/lib/libisc.so.3
/usr/lib/libisc.so.3.0.0
%doc %{_mandir}/man1/dig.1.gz
%doc %{_mandir}/man1/host.1.gz

%files devel
/usr/lib/libdns.a
/usr/lib/libdns.la
/usr/lib/libisc.a
/usr/lib/libisc.la
/usr/lib/liblwres.a
/usr/lib/liblwres.la
/usr/lib/libomapi.a
/usr/lib/libomapi.la
/usr/include/bind
%doc %{_mandir}/man3/lwres.3.gz
%doc %{_mandir}/man3/lwres_*.3.gz
%doc contrib

%changelog -n bind9
* Mon Jun 03 2002 - okir@suse.de
- Applied security fix for remote DoS (CERT VU#739123)
* Wed Sep 05 2001 - pthomas@suse.de
- Fix incorrect .so references in lwres manpages.
* Sun Aug 12 2001 - kukuk@suse.de
- Fix path to perl interpreter
* Wed Jul 04 2001 - bodammer@suse.de
- Update to bind-9.1.3 (release)
- Config-files moved away from bind-9.1.3.dif
* Mon Jul 02 2001 - bodammer@suse.de
- update to bind-9.1.3rc3
- "Implicit declaration of function time" in context.c fixed
* Mon Jun 25 2001 - bodammer@suse.de
- update to bind-9.1.3rc2
* Tue May 29 2001 - bodammer@suse.de
- update to bind-9.1.3rc1
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start bind in runlevel 2 [bug #7956]
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue May 08 2001 - bodammer@suse.de
- install a new named.conf with comments
* Mon May 07 2001 - bodammer@suse.de
- update to bind-9.1.2 (release)
* Tue Apr 24 2001 - bodammer@suse.de
- little modification to named.conf
* Thu Mar 29 2001 - bodammer@suse.de
- update to bind-9.1.1 (release)
* Tue Mar 27 2001 - bodammer@suse.de
- update to bind-9.1.1rc7
* Fri Mar 23 2001 - bodammer@suse.de
- update to bind-9.1.1rc6
* Thu Mar 15 2001 - bodammer@suse.de
- update to bind-9.1.1rc5
- new initscript more LSB conform
* Mon Mar 12 2001 - bodammer@suse.de
- update to bind-9.1.1rc4
* Tue Feb 27 2001 - bodammer@suse.de
- initscript fix: now checks for a running named
* Tue Feb 27 2001 - bodammer@suse.de
- update to bind-9.1.1rc3
* Thu Feb 15 2001 - sf@suse.de
- added suse_update_config
* Wed Feb 14 2001 - bodammer@suse.de
- update to bind-9.1.1rc2
* Mon Feb 12 2001 - bodammer@suse.de
- subpackages bind9-util and bind9-devel created
* Thu Feb 08 2001 - bodammer@suse.de
- update to bind-9.1.1rc1
- missing headerfile included in stdtime.c
* Thu Jan 18 2001 - bodammer@suse.de
- update to bind-9.1.0
* Tue Nov 28 2000 - bodammer@suse.de
- Fix location of rcscript
* Thu Nov 23 2000 - ro@suse.de
- added insserv calls
* Thu Nov 23 2000 - bodammer@suse.de
- rcscript update
* Mon Nov 13 2000 - bodammer@suse.de
- update to bind-9.0.1
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Mon Sep 18 2000 - bodammer@suse.de
- update to bind-9.0.0  ( first release version )
* Wed Aug 30 2000 - bodammer@suse.de
- update to bind-9.0.0rc5
* Wed Aug 16 2000 - bodammer@suse.de
- update to bind-9.0.0rc3
* Thu Aug 10 2000 - bodammer@suse.de
- update to bind-9.0.0rc2
- nslookup renamed to nslookup9
* Thu Jul 13 2000 - bodammer@suse.de
- update to bind-9.0.0rc1 (release candidate)
* Mon Jul 03 2000 - bodammer@suse.de
- update to bind-9.0.0b5
- host renamed to host9
* Fri Jun 16 2000 - bodammer@suse.de
- update to bind-9.0.0b4
* Thu May 25 2000 - bodammer@suse.de
- dig renamed to dig9 to avoid conflicts with dig from bindutil
- libtool-fix added
- option -f added to suse_update_config-macro
* Wed May 24 2000 - bodammer@suse.de
- update to bind-9.0.0b3
- configure option added to build shared libraries
* Mon May 15 2000 - schwab@suse.de
- Update config files.
- Fix 64-bit bug.
* Fri May 12 2000 - bodammer@suse.de
- update to bind9-snap-20000510
* Tue May 02 2000 - bodammer@suse.de
- update to bind9-snap-20000427a
* Wed Apr 19 2000 - bodammer@suse.de
- update to bind9-snap-20000414
* Tue Mar 28 2000 - bodammer@suse.de
- update to bind-9.0.0b2
* Mon Feb 07 2000 - bodammer@suse.de
- first public beta version bind-9.0.0b1
